# Uses of Class
org.apache.sysds.runtime.instructions.cp.KahanObject

Packages that use KahanObject
Package
Description
org.apache.sysds.runtime.data
org.apache.sysds.runtime.functionobjects
org.apache.sysds.runtime.instructions.cp
org.apache.sysds.runtime.transform.encode

## Uses of KahanObject in org.apache.sysds.runtime.data

Methods in org.apache.sysds.runtime.data with parameters of type KahanObject
Modifier and Type
Method
Description
`DenseBlock`
DenseBlock.`set(int r, KahanObject kbuff)`
Copy the given kahan object sum and correction into the given row.
`DenseBlock`
DenseBlock.`set(KahanObject kbuff)`
Copy the given kahan object sum and correction.

## Uses of KahanObject in org.apache.sysds.runtime.functionobjects

Methods in org.apache.sysds.runtime.functionobjects with parameters of type KahanObject
Modifier and Type
Method
Description
`abstract void`
KahanFunction.`execute2(KahanObject kObj, double in)`
Add the given term to the existing sum with a function applied using the Kahan summation algorithm.
`void`
KahanPlus.`execute2(KahanObject in1, double in2)`
Simplified version of execute(Data in1, double in2) without exception handling and casts.
`void`
KahanPlusSq.`execute2(KahanObject kObj, double in)`
`void`
Mean.`execute2(KahanObject in1, double in2, double count)`
Simplified version of execute(Data in1, double in2) without exception handling and casts.
`abstract void`
KahanFunction.`execute3(KahanObject kObj, double in, int count)`
`void`
KahanPlus.`execute3(KahanObject in1, double in2, int count)`
`void`
KahanPlusSq.`execute3(KahanObject kObj, double in, int count)`

## Uses of KahanObject in org.apache.sysds.runtime.instructions.cp

Fields in org.apache.sysds.runtime.instructions.cp declared as KahanObject
Modifier and Type
Field
Description
`KahanObject`
CmCovObject.`c2`
`KahanObject`
CmCovObject.`m2`
`KahanObject`
CmCovObject.`m3`
`KahanObject`
CmCovObject.`m4`
`KahanObject`
CmCovObject.`mean`
`KahanObject`
CmCovObject.`mean_v`
Methods in org.apache.sysds.runtime.instructions.cp with parameters of type KahanObject
Modifier and Type
Method
Description
`static int`
KahanObject.`compare(KahanObject k1, KahanObject k2)`
`void`
KahanObject.`set(KahanObject that)`

## Uses of KahanObject in org.apache.sysds.runtime.transform.encode

Methods in org.apache.sysds.runtime.transform.encode that return KahanObject
Modifier and Type
Method
Description
`KahanObject[]`
EncoderMVImpute.`getMeans()`
Constructors in org.apache.sysds.runtime.transform.encode with parameters of type KahanObject
Modifier
Constructor
Description
``
`EncoderMVImpute(int[] colList, EncoderMVImpute.MVMethod[] mvMethodList, String[] replacementList, KahanObject[] meanList, long[] countList, List<Integer> rcList, int clen)`